diff --git a/src/backend/catalog/Catalog.pm b/src/backend/catalog/Catalog.pm
new file mode 100644
index 767a2ec..cb5fcc8
*** a/src/backend/catalog/Catalog.pm
--- b/src/backend/catalog/Catalog.pm
*************** sub Catalogs
*** 65,70 ****
--- 65,71 ----
  				$_ .= $next_line;
  				redo;
  			}
+ 			my $input_line_number=$.;
  
  			# Strip useless whitespace and trailing semicolons.
  			chomp;
*************** sub Catalogs
*** 80,86 ****
  			elsif (/^DATA\(insert(\s+OID\s+=\s+(\d+))?\s+\(\s*(.*)\s*\)\s*\)$/)
  			{
  				check_natts($filename, $catalog{natts}, $3,
! 							$input_file, INPUT_FILE->input_line_number);
  
  				push @{ $catalog{data} }, { oid => $2, bki_values => $3 };
  			}
--- 81,87 ----
  			elsif (/^DATA\(insert(\s+OID\s+=\s+(\d+))?\s+\(\s*(.*)\s*\)\s*\)$/)
  			{
  				check_natts($filename, $catalog{natts}, $3,
! 							$input_file, $input_line_number);
  
  				push @{ $catalog{data} }, { oid => $2, bki_values => $3 };
  			}
